Skip to main content
GET
/
v1
/
providers
/
openrouter
/
models
OpenRouter provider model catalog
curl --request GET \
  --url https://api.pyai.com/v1/providers/openrouter/models \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "pyai-hear",
      "hugging_face_id": "",
      "name": "PyAI: Hear (Speech-to-Text)",
      "created": 123,
      "description": "<string>",
      "input_modalities": [
        "audio"
      ],
      "output_modalities": [
        "transcription"
      ],
      "context_length": 123,
      "max_output_length": 123,
      "pricing": {
        "prompt": "0",
        "completion": "0",
        "request": "0",
        "image": "0",
        "input_cache_read": "0"
      },
      "supported_sampling_parameters": [
        "temperature"
      ],
      "supported_features": [
        "<string>"
      ],
      "is_ready": true,
      "is_free": true,
      "openrouter": {
        "slug": "pyai/hear"
      },
      "datacenters": [
        {
          "country_code": "US"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer pyai_live_... (or pyai_test_...).

Response

200 - application/json

OpenRouter-format model catalog

data
object[]